SDL_JoyAxisEvent Struct Reference

`#include <SDL_events.h>`

## Data Fields

Uint32 | type
Uint32 | timestamp
SDL_JoystickID | which
Uint8 | axis
Uint8 | padding1
Uint8 | padding2
Uint8 | padding3
Sint16 | value
Uint16 | padding4

## Detailed Description

Joystick axis motion event structure (event.jaxis.*)

Definition at line 350 of file SDL_events.h.

## Field Documentation

## axis

Uint8 SDL_JoyAxisEvent::axis

The joystick axis index

Definition at line 355 of file SDL_events.h.

## padding1

Uint8 SDL_JoyAxisEvent::padding1

Definition at line 356 of file SDL_events.h.

## padding2

Uint8 SDL_JoyAxisEvent::padding2

Definition at line 357 of file SDL_events.h.

## padding3

Uint8 SDL_JoyAxisEvent::padding3

Definition at line 358 of file SDL_events.h.

## padding4

Uint16 SDL_JoyAxisEvent::padding4

Definition at line 360 of file SDL_events.h.

## timestamp

Uint32 SDL_JoyAxisEvent::timestamp

In milliseconds, populated using SDL_GetTicks()

Definition at line 353 of file SDL_events.h.

## type

Uint32 SDL_JoyAxisEvent::type

SDL_JOYAXISMOTION

Definition at line 352 of file SDL_events.h.

## value

Sint16 SDL_JoyAxisEvent::value

The axis value (range: -32768 to 32767)

Definition at line 359 of file SDL_events.h.

## which

SDL_JoystickID SDL_JoyAxisEvent::which

The joystick instance id

Definition at line 354 of file SDL_events.h.

The documentation for this struct was generated from the following file:

- SDL_events.h